#ifndef SPLITENGINE_H
#define SPLITENGINE_H

#define  SUFFIX ".spl"

#ifndef DOS
#include "batchitem.h"
#include "bcbase.h"
#include "progress.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class SplitEngine
{
public:
	SplitEngine(int channels, 
				int keep_original, 
				int bits, 
				int segment, 
				ArrayList <BatchItem*> *batch, 
				char *compressor, 
				char *output_directory);
	~SplitEngine();

	int run(int interactive);
	int put_number(long number, FILE *out);
	int update_user(char *string);

	int channels, keep_original, bits, segment;
	ArrayList <BatchItem*> *batch;
	char *compressor;
	char output_directory[1024];
	int interactive;
	Progress *progress;
};

#endif
