#ifndef JOINENGINE_H
#define JOINENGINE_H

#define  SUFFIX ".spl"

#include "batchitem.h"
#include "bcbase.h"
#include "progress.h"
#include <stdio.h>
#include <stdlib.h>

class JoinEngine
{
public:
	JoinEngine(int keep_original, 
			ArrayList <BatchItem*> *batch, 
			char *decompressor,
			char *output_directory);
	~JoinEngine();

	int run(int interactive);
	long get_number(FILE *in);
	int update_user(char *string);

	int channels, keep_original, bits, segment;
	ArrayList <BatchItem*> *batch;
	char *decompressor;
	int interactive;
	char output_directory[1024];
	Progress *progress;
};
#endif
