#include "expanddialog.h"
#include "joinengine.h"
#include "joiner.h"

Joiner::Joiner(Defaults *defaults, char *decompressor)
 : BC_BigButton(5, 5, "Expand"), Thread()
{
	this->defaults = defaults;
	this->decompressor = decompressor;
}

Joiner::~Joiner()
{
}

Joiner::handle_event()
{
	start();
	//run();
}

Joiner::keypress_event()
{
	return 0;
}

void Joiner::run()
{
	ExpandDialog dialog(defaults);
	dialog.create_objects();
	int result = dialog.run_window();
	dialog.destroy_window();
	
	if(!result)
	{
		JoinEngine engine(dialog.keep_original, dialog.batch->batch1, dialog.batch->total_batch, decompressor);
		engine.run(1);
	}
}
