#ifndef MAINMENU_H
#define MAINMENU_H

#include "bcbase.h"
#include "defaults.h"

class MainMenu : public BC_SubWindow
{
public:
	MainMenu(BC_Window *window, Defaults *defaults, char *compressor, char *decompressor);
	~MainMenu();
	
	int create_objects();
	Defaults *defaults;
	char *compressor;
	char *decompressor;
};

class Quit : public BC_BigButton
{
public:
	Quit(BC_Window *window);
	~Quit();
	
	int handle_event();
	int keypress_event();
	BC_Window *window;
};

#endif
